package com.tzld.piaoquan.api.model.po.contentplatform;

public class ContentPlatformQwDataStat {
    private Long id;

    private String dateStr;

    private String rootSourceId;

    private String subChannel;

    private Integer firstLevelCount;

    private Double score;

    private Long createTimestamp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDateStr() {
        return dateStr;
    }

    public void setDateStr(String dateStr) {
        this.dateStr = dateStr;
    }

    public String getRootSourceId() {
        return rootSourceId;
    }

    public void setRootSourceId(String rootSourceId) {
        this.rootSourceId = rootSourceId;
    }

    public String getSubChannel() {
        return subChannel;
    }

    public void setSubChannel(String subChannel) {
        this.subChannel = subChannel;
    }

    public Integer getFirstLevelCount() {
        return firstLevelCount;
    }

    public void setFirstLevelCount(Integer firstLevelCount) {
        this.firstLevelCount = firstLevelCount;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", dateStr=").append(dateStr);
        sb.append(", rootSourceId=").append(rootSourceId);
        sb.append(", subChannel=").append(subChannel);
        sb.append(", firstLevelCount=").append(firstLevelCount);
        sb.append(", score=").append(score);
        sb.append(", createTimestamp=").append(createTimestamp);
        sb.append("]");
        return sb.toString();
    }
}